Bug 1807239 - Review Request: glyphography-newscycle-fonts - A realist sans-serif font family based on News Gothic
Summary: Review Request: glyphography-newscycle-fonts - A realist sans-serif font fami...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nicolas Mailhot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-25 21:49 UTC by Iñaki Ucar
Modified: 2020-03-16 20:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-12 21:56:20 UTC
Type: ---
nicolas.mailhot: fedora-review+


Attachments (Terms of Use)

Description Iñaki Ucar 2020-02-25 21:49:39 UTC
Spec URL: https://iucar.fedorapeople.org/pkgs/newscycle-fonts.spec
SRPM URL: https://iucar.fedorapeople.org/pkgs/newscycle-fonts-0.5.2-1.fc31.src.rpm

Description:
Inspired by the original News Gothic, which found an eminently useful
life in print media news coverage, the goal of this project is to design
a highly readable open font suitable for large bodies of text, even at
small sizes, and that is available at multiple weights. In addition to
the readability and weight, however, the project is extending News
Gothic's glyph coverage to alphabets derived from Latin, Cyrillic, and
Greek, including the accent marks and diacritics required by languages
outside of Western Europe.

Fedora Account System Username: iucar

Comment 1 Nicolas Mailhot 2020-02-26 09:24:17 UTC
As written on the fonts list:

    I've submitted a new font package for review [1], but I have 0
    experience with fonts (I need it to unbundle it from [2]), and I found
    the documentation about font packages a little bit outdated. It's a
    pretty simple font (OFL, single family with a couple of styles),


We were aware of this, so it’s been rewritten, and FPC approved the rewrite two weeks ago.
https://pagure.io/packaging-committee/issue/935

It’s not published yet, FPC is proofing the text, but you can already read the pre-proofed version here using asciidoctor.js
https://pagure.io/packaging-committee/pull-request/934

APPLICABILITY

For a very simple font family like NewsCycle most of the twists of the document won’t apply, you just need to use the new macros available in fonts-?rpm-macros. fonts-rpm-templates in F32+ provides example spec templates. Do read the parts on how to depend on font packages from non font packages, however, you will use them.

That will simplify your spec quite a bit, and generate the fonts metainfo file for you (I see you wrote one by hand, you can keep it if you like it, apologies for being slow to update guidelines, and the needless manual work).

Once you’ve updated your spec to the new guidelines I will review it and help you wrap it up.

TARGET RELEASES

The new font macros are available in F32, F33, and currently been pushed to F31. The aim is to have all new packages use them for F31+, and convert existing packages before F34 (at that point compatibility glue for previous macros will be dropped). That will get us a single packaging target for all supported Fedora releases soonish.

EL8 & EPEL

There is no plan short term to enable them for EPEL8, because the redhat-rpm-config version here is too old and missing some common code. However, an EL8 redhat-rpm-config refresh has already been requested to @rh engineering by another SIG
https://bugzilla.redhat.com/show_bug.cgi?id=1774139

It would not take much to complete this refresh with the bits used by out fonts macros, should anyone be interested (both packaging guidelines depend on pretty much the same common code, there are a couple fonts-specific commits in redhat-rpm-config Go does not need, but they are marginal)

I won’t drive EPEL-ing myself, but I will help anyone willing to take the subject.

Comment 2 Iñaki Ucar 2020-02-26 10:32:51 UTC
Thanks for the pointers and for taking this. Update:

Spec URL: https://iucar.fedorapeople.org/pkgs/newscycle-fonts.spec
SRPM URL: https://iucar.fedorapeople.org/pkgs/newscycle-fonts-0.5.2-2.fc32.src.rpm

I noticed that fonts now are installed under

/usr/share/fonts/newscycle-fonts

instead of

/usr/share/fonts/newscycle

Is that ok? Sounds unnecessarily redundant.

Comment 3 Nicolas Mailhot 2020-02-26 11:14:45 UTC
Yes, that‘s normal. We tried to be clever before and that blew up in our face in some cases. So the new macros keep things simple stupid, the installation directory name is equal to the created package name.

(that also means you can ship different major versions of the same font family in different packages, and things won’t collide the on filesystem)

Comment 4 Nicolas Mailhot 2020-02-26 11:26:13 UTC
Also, we try to keep a font maker id (foundry id) in the package name, because font makers lack originality, and it is quite frequent for different font makers to release different font projects with the same name (or do major forks, keeping the original name, even thoug hthe OFL somewhat protects against that part).

So, please set %{foundry} to something, unless you’re sure your NewCycle will be the one and only NewCycle forever.

I see the design lead is  Nathan Wilis. Some variation on it (nwilis), whatever he uses as login on launchpad gihub or whatever is perfectly fine. Though in that case, he has a foundry homepage on
https://www.glyphography.com/fonts/

and I’d attribute his fonts to glyphography

Comment 6 Nicolas Mailhot 2020-02-26 20:14:43 UTC
Vanilla copy of the official Fedora fonts packaging template, source archive checksum matches, fc-scan shows no font metadata problem, legalities OK

rpmlint:
glyphography-newscycle-fonts.spec:34: W: setup-not-quiet

Thanks for contributing a new clean package to Fedora

APPROVED

Comment 7 Iñaki Ucar 2020-02-26 21:43:05 UTC
Thanks for your help!

Comment 8 Gwyn Ciesla 2020-02-26 22:15:35 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/glyphography-newscycle-fonts

Comment 9 Fedora Update System 2020-02-26 23:48:14 UTC
FEDORA-2020-e46e209e8a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e46e209e8a

Comment 10 Elliott Sales de Andrade 2020-02-26 23:49:38 UTC
Ah cool, I can unbundle this from rmarkdown now.

Comment 11 Fedora Update System 2020-02-28 01:27:09 UTC
glyphography-newscycle-fonts-0.5.2-3.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e46e209e8a

Comment 12 Fedora Update System 2020-03-03 23:52:49 UTC
FEDORA-2020-81bb6949e9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-81bb6949e9

Comment 13 Fedora Update System 2020-03-04 21:49:01 UTC
glyphography-newscycle-fonts-0.5.2-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-81bb6949e9

Comment 14 Fedora Update System 2020-03-12 21:56:20 UTC
glyphography-newscycle-fonts-0.5.2-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-03-16 20:15:24 UTC
glyphography-newscycle-fonts-0.5.2-3.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-03-16 20:29:18 UTC
glyphography-newscycle-fonts-0.5.2-3.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.